Signals. Infra
API Reference

Events

GET
/v1/events

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Query Parameters

symbols?array<string>|null
types?array<string>|

earnings_call|investor_day|agm|ma_announcement

start_date?|

YYYY-MM-DD

end_date?|

YYYY-MM-DD

updated_after?|

ISO datetime; filters on created_at (GAP: no updated_at)

cursor?string|null
limit?integer|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/events"
{  "data": [    {      "event_id": 51791,      "symbol": "UBER:US",      "ticker": "UBER",      "type": "earnings",      "family": "earnings",      "label": "Earnings call",      "title": "Uber Q1 2026 earnings call",      "period": {        "calendar": "2026Q1",        "fiscal": "Q1 FY2026",        "end_date": "2026-03-31",        "kind": "quarter"      },      "event_date": "2026-05-07T20:30:00+00:00",      "event_date_estimated": null,      "event_url": "https://investor.uber.com/news-events/events-and-presentations/default.aspx",      "source": "ir_magnet",      "filing_count": 2,      "ir_doc_count": 1    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/events/calendar

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Query Parameters

symbols?array<string>|null
end_date?|

YYYY-MM-DD horizon

cursor?string|null
limit?integer|null

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/events/calendar"
{  "data": [    {      "event_id": 51791,      "symbol": "UBER:US",      "ticker": "UBER",      "type": "earnings",      "family": "earnings",      "label": "Earnings call",      "title": "Uber Q1 2026 earnings call",      "period": {        "calendar": "2026Q1",        "fiscal": "Q1 FY2026",        "end_date": "2026-03-31",        "kind": "quarter"      },      "event_date": "2026-05-07T20:30:00+00:00",      "event_date_estimated": null,      "event_url": "https://investor.uber.com/news-events/events-and-presentations/default.aspx",      "source": "ir_magnet",      "filing_count": 2,      "ir_doc_count": 1,      "date_status": "confirmed"    }  ],  "pagination": {    "next_cursor": null,    "has_more": false  }}
GET
/v1/events/{event_id}

Authorization

InfraApiKey
AuthorizationBearer <token>

Send sk_live_* (production) or sk_test_* (test mode).

In: header

Path Parameters

event_id*Event Id

Response Body

application/json

application/problem+json

application/json

application/problem+json

curl -X GET "https://example.com/v1/events/0"
{  "event_id": 51791,  "symbol": "UBER:US",  "ticker": "UBER",  "type": "earnings",  "family": "earnings",  "label": "Earnings call",  "title": "Uber Q1 2026 earnings call",  "period": {    "calendar": "2026Q1",    "fiscal": "Q1 FY2026",    "end_date": "2026-03-31",    "kind": "quarter"  },  "event_date": "2026-05-07T20:30:00+00:00",  "event_date_estimated": null,  "event_url": "https://investor.uber.com/news-events/events-and-presentations/default.aspx",  "source": "ir_magnet",  "filing_count": 2,  "ir_doc_count": 1,  "bundle": {    "filing_ids": [      741221    ],    "transcript_id": 51791,    "slide_deck_id": 81194,    "press_release_id": 741222,    "webcast_status": "captured"  },  "filings": [    {      "id": 741221,      "ticker": "UBER",      "form": "10-Q",      "accession": "0001543151-26-000012",      "filed_at": "2026-05-07T00:00:00+00:00",      "accepted_at": "2026-05-07T20:08:03+00:00",      "period_of_report": "2026-03-31",      "title": "10-Q filed 2026-05-07 by Uber Technologies, Inc.",      "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm",      "event_id": 51791,      "doc_group": "filing",      "provenance": {        "src_id": "src_filings_91d15ee7c3c010bb",        "source_provider": "sec",        "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm",        "accession": "0001543151-26-000012",        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ],  "documents": [    {      "id": 81194,      "ticker": "UBER",      "title": "Uber Q1 2026 earnings presentation",      "doc_type": "slide_deck",      "doc_url": "https://investor.uber.com/static-files/3d6f8a5f-4c43-4e51-9e03-bf8728f0f785",      "language": "en",      "published_at": "2026-05-07T00:00:00+00:00",      "pages": 24,      "event_id": 51791,      "doc_group": "slide_deck",      "provenance": {        "src_id": "src_ir_documents_9bf6656f240e9c20",        "source_provider": "signals_ir",        "source_url": "https://investor.uber.com/static-files/3d6f8a5f-4c43-4e51-9e03-bf8728f0f785",        "accession": null,        "quote": null,        "content_hash": null,        "extracted_at": null      }    }  ]}